JobSubmissionFiles (Hadoop 0.20.2-cdh3u3 API)
Date: 2012-03-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce
Class JobSubmissionFiles

    java.lang.Object
      org.apache.hadoop.mapreduce.JobSubmissionFiles

    public class JobSubmissionFiles

extends Object

A utility to manage job submission files.
Note that this class is for framework internal usage only and is not to be used by users directly.

Field Summary
`static FsPermission` | `JOB_DIR_PERMISSION`
`static FsPermission` | `JOB_FILE_PERMISSION`

Constructor Summary
`JobSubmissionFiles()`

Method Summary
`static Path` | `getJobConfPath(Path jobSubmitDir)` Get the job conf path.
`static Path` | `getJobDistCacheArchives(Path jobSubmitDir)` Get the job distributed cache archives path.
`static Path` | `getJobDistCacheFiles(Path jobSubmitDir)` Get the job distributed cache files path.
`static Path` | `getJobDistCacheLibjars(Path jobSubmitDir)` Get the job distributed cache libjars path.
`static Path` | `getJobJar(Path jobSubmitDir)` Get the job jar path.
`static Path` | `getJobSplitFile(Path jobSubmissionDir)`
`static Path` | `getJobSplitMetaFile(Path jobSubmissionDir)`
`static Path` | `getStagingDir(JobClient client, Configuration conf)` Initializes the staging directory and returns the path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JOB_DIR_PERMISSION

    public static final FsPermission JOB_DIR_PERMISSION

### JOB_FILE_PERMISSION

    public static final FsPermission JOB_FILE_PERMISSION

Constructor Detail

### JobSubmissionFiles

    public JobSubmissionFiles()

Method Detail

### getJobSplitFile

    public static Path getJobSplitFile(Path jobSubmissionDir)

### getJobSplitMetaFile

    public static Path getJobSplitMetaFile(Path jobSubmissionDir)

### getJobConfPath

    public static Path getJobConfPath(Path jobSubmitDir)

  Get the job conf path.

### getJobJar

    public static Path getJobJar(Path jobSubmitDir)

  Get the job jar path.

### getJobDistCacheFiles

    public static Path getJobDistCacheFiles(Path jobSubmitDir)

  Get the job distributed cache files path.

  Parameters:
    `jobSubmitDir` -

### getJobDistCacheArchives

    public static Path getJobDistCacheArchives(Path jobSubmitDir)

  Get the job distributed cache archives path.

  Parameters:
    `jobSubmitDir` -

### getJobDistCacheLibjars

    public static Path getJobDistCacheLibjars(Path jobSubmitDir)

  Get the job distributed cache libjars path.

  Parameters:
    `jobSubmitDir` -

### getStagingDir

    public static Path getStagingDir(JobClient client,
                                     Configuration conf)
                              throws IOException,
                                     InterruptedException

  Initializes the staging directory and returns the path. It also keeps track of all necessary ownership & permissions

  Parameters:
    `client` -
    `conf` -
  Throws:
    `IOException`
    `InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation